| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiTest.FilePreprocessorSequence Class Reference
Inheritance diagram for GaudiTest.FilePreprocessorSequence:
[legend]
Collaboration diagram for GaudiTest.FilePreprocessorSequence:
[legend]

## Public Member Functions
def | __init__ (self, members=[])
def | __add__ (self, rhs)
def | __call__ (self, input)
Public Member Functions inherited from GaudiTest.FilePreprocessor
def | __processLine__ (self, line)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| members

## Detailed Description

Definition at line 457 of file GaudiTest.py.

## Constructor & Destructor Documentation

def GaudiTest.FilePreprocessorSequence.__init__ | ( |  | self,
|  |  | members = `[]`
| ) |  |

Definition at line 458 of file GaudiTest.py.

458 def __init__(self, members=[]):
459 self.members = members
460
GaudiTest.FilePreprocessorSequence.__init__
def __init__(self, members=[])
Definition: GaudiTest.py:458
GaudiTest.FilePreprocessorSequence.members
members
Definition: GaudiTest.py:459

## Member Function Documentation

def GaudiTest.FilePreprocessorSequence.__add__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 461 of file GaudiTest.py.

461 def __add__(self, rhs):
462 return FilePreprocessorSequence(self.members + [rhs])
463
GaudiTest.FilePreprocessorSequence
Definition: GaudiTest.py:457
GaudiTest.FilePreprocessorSequence.__add__
def __add__(self, rhs)
Definition: GaudiTest.py:461
GaudiTest.FilePreprocessorSequence.members
members
Definition: GaudiTest.py:459

def GaudiTest.FilePreprocessorSequence.__call__ | ( |  | self,
|  |  | input
| ) |  |

Definition at line 464 of file GaudiTest.py.

464 def __call__(self, input):
465 output = input
466 for pp in self.members:
467 output = pp(output)
468 return output
469
470
GaudiTest.FilePreprocessorSequence.members
members
Definition: GaudiTest.py:459
compareOutputFiles.pp
pp
Definition: compareOutputFiles.py:467
GaudiTest.FilePreprocessorSequence.__call__
def __call__(self, input)
Definition: GaudiTest.py:464

## Member Data Documentation

GaudiTest.FilePreprocessorSequence.members

Definition at line 459 of file GaudiTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/qmtest_classes/GaudiTest.py